"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF277F40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398040>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3980D0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3981F0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398280>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398310>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3983A0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398430>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3984C0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398550>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3985E0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398670>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398790>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398820>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3988B0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3989D0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398A60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398AF0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398B80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398C10>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398CA0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398DC0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398D30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398E50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398EE0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF398F70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399000>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399090>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399120>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3991B0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399240>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3992D0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399360>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3993F0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399480>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399510>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3995A0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399630>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3996C0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399750>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF3997E0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399870>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399900>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399990>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399A20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399AB0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399B40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399BD0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399C60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399CF0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399D80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399E10>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399EA0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399F30>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF399FC0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A050>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A0E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A170>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A200>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A290>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A320>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A3B0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A560>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A440>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A5F0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A680>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A710>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A7A0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A830>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A950>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A8C0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39A9E0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AA70>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AB00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AC20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AB90>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39ACB0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AD40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39ADD0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AE60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AEF0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001D2CF39AF80>)]
name: str = 'fr_HOCCN'
